import shutil
import cv2
import numpy as np

def read_image_meta(f):
    if f.endswith('.gif'):
        gif = cv2.VideoCapture(f)
        ret, frame = gif.read()
        return frame
    else:
        return cv2.imread(f)

def dd(npimg):
    npimg = cv2.addWeighted(npimg, 1.5, npimg, -0.5, 0)
    _, npimg = cv2.threshold(npimg, 178, 255, cv2.THRESH_BINARY)
    npimg[np.logical_not(np.all(npimg < 150, axis=2))] = 255
    return npimg

import os
srcp = './Fatea/'
tarp = './Fatea_2/'
ls = os.listdir(srcp)
for i in ls:
    sr = os.path.join(srcp, i)
    tr = os.path.join(tarp, i)
    if i.endswith('.jpg') or i.endswith('.png') or i.endswith('.gif'):
        print(i)
        imgsr = read_image_meta(sr)
        imgsr = dd(imgsr)
        cv2.imwrite(tr, imgsr)
    else:
        shutil.copy2(sr, tr)


